Skip to main content

Search for blocking Appointment objects matching the supplied search criteria

GET 

/v1/appointments/blocking/search

Search for blocking Appointment objects matching the supplied search criteria.

  • The search must be done using one of the parameters global or branch.

  • Search by branch: /blocking/search?branch=1. Cannot be combined with the global parameter.

  • Find global blocking appointments: /blocking/search?global=true. Cannot be combined with the branch parameter.

  • Date span (fromDate and toDate) should be set in UTC. /blocking/search?branch=1&fromDate=2017-12-06&toDate=2017-12-27. The search will include fromDate and exclude toDate.

  • UTC will be used unless you use the parameter timeZoneBranchId, which is the id of a branch with the time zone to use.

Example of usage :

curl -i -u user:password -X GET "http://orchestra-ip:orchestra-port/calendar-backend/api/v1/appointments/blocking/search?branch={branchId}&fromDate=YYYY-MM-DD&toDate=YYYY-MM-DD"
curl -i -u user:password -X GET "http://orchestra-ip:orchestra-port/calendar-backend/api/v1/appointments/blocking/search?blocking=true&fromDate=YYYY-MM-DD&toDate=YYYY-MM-DD"

Responses​

A Json list of com.qmatic.qp.calendar.rest.dto.AppointmentDTO